/x402-settlements
Lists x402 on-chain settlements, newest first.
Authorization
API-Key token<token>
API key authentication via header (token)
In: header
Query Parameters
take?number
Number of settlements to return
Default
20Range
1 <= value <= 100cursorId?string
Pagination cursor (provide the id of the last returned settlement)
Length
length <= 550caip2Network?string
Filter by CAIP-2 chain id
Match
^eip155:\d+$Response Body
application/json
curl -X GET "https://loading/./../api/v1/x402/settlements"{
"status": "success",
"data": {
"Settlements": [
{
"id": "clx402settlement0001",
"createdAt": "2026-06-02T12:00:00.000Z",
"updatedAt": "2026-06-02T12:00:00.000Z",
"paymentAttemptId": "clx402attempt0001",
"success": true,
"txHash": "0x4242424242424242424242424242424242424242424242424242424242424242",
"caip2Network": "eip155:8453",
"amount": "1000000",
"payer": "0x3333333333333333333333333333333333333333"
}
]
}
}


